Announcement

Collapse
No announcement yet.

JPay the Internet and Your Account

Collapse
This topic is closed.
X
This is a sticky topic.
X
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • JPay the Internet and Your Account

    JPay Blog
    https://blog.jpay.com/important-information-jpay-com/ As of June 30, 2018, the Payment Card Industry (PCI) Security Standards Council will not recognize Transport Layer Security (TLS) 1.0 as an effective Internet security protocol. Therefore, JPay is transitioning our Internet payment environment to TLS 1.1 and higher.
    IMPORTANT: on June 27, 2018, JPay will discontinue support of earlier versions. If you want to continue using www.JPay.com to access your JPay account and use any of our products and services, you must have the latest version of the web browser and operating system on your computer or tablet.
    We encourage you to make sure your web browsers are up-to-date with the latest version, or else you won’t be able to access your JPay account through www.JPay.com. Below is a list of web browsers and the latest versions:
    • Chrome – Version 22 to 67 or higher
    • Firefox – Version from 49.2 to Version 60 or higher
    • Internet Explorer – Version 11 or higher
    • Microsoft Edge – Version 42 or higher
    • Apple Safari – 7 on OS x 10.9 or higher
    For more information on how to upgrade your web browser, click here!



    JPay Service
    Help Link
    JPay'sRules for ForumMembers

    Download the JPay Mobile App at the Apple App Store or the Google Play Store
Working...
X